Lock Layers does not persist through save in 2.5
2014-08-21 10:38 AM - Andrew Carne

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 19422

Description

In 2.5 (latest nightly, and at least several previous versions) it seems that the lock layers data for map layers in composers does not
persist correctly when a saved project is opened. The lock layers flag will display correctly, however it will show all layers which were

enabled when the project was saved, as opposed to the correct lock layers. Behaviour is correct in 2.4

This was tested in 599255c using the attached project file, and can easily be reproduced. In the print composer, only layer 1 (the blue

rectangle) should be visible, however both layer 1 and layer 2 (the purple triangle) display.

Opening this file in 2.4.0 will correctly only show layer 1 in the composer.

The lock layers behaviour works fine in 2.5 during one session, and files saved in 2.5 open correctly in 2.4.

Associated revisions

Revision 709¢2853 - 2014-08-24 03:11 PM - Nyall Dawson

[composer] Fix regression in locked map layers (fix #11089)

History

#1 - 2014-08-21 01:18 PM - Nyall Dawson
- Category set to Map Composer/Printing

#2 - 2014-08-24 06:11 AM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"709c285338413adb5f55f1c05781¢21027¢21cb3".

Files

LockLayertest.zip

2025-04-27

9.02 KB
